Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.invalidation
Interface BridgeInvalidationSubscription

public interface BridgeInvalidationSubscription

Every bridge subscribing to a InvalidationManager has access to this interface that it can used to invalidate messages on the local IM.

Version:
  $Revision: 1.2.6.1 $

  Revisions:

  21 septembre 2002 Sacha Labourey:

  - First implementation
See Also:
  `InvalidationManagerMBean`, `InvalidationBridgeListener`

Method Summary
`void` | `batchInvalidate(BatchInvalidation[] invalidations)` Invalidates a set of keys in a set of InvalidationGroup.
`void` | `invalidate(String invalidationGroupName, Serializable key)` Used to invalidate a single key in a given InvalidationGroup
`void` | `invalidate(String invalidationGroupName, Serializable[] keys)` Invalidate a set of keys in a give InvalidationGRoup
`void` | `invalidateAll(String groupName)` Invalidate all the entries in the specified group
`void` | `unregister()` Unregister the current bridge form the InvalidationManager

Method Detail

### invalidate

    public void invalidate(String invalidationGroupName,
                           Serializable key)

  Used to invalidate a single key in a given InvalidationGroup

  Parameters:
    `invalidationGroupName` - Name of the InvalidationGroup for which this invalidation is targeted
    `key` - Key to be invalidated

### invalidate

    public void invalidate(String invalidationGroupName,
                           Serializable[] keys)

  Invalidate a set of keys in a give InvalidationGRoup

  Parameters:
    `invalidationGroupName` - Name of the InvalidationGroup to which is targeted this invalidation
    `keys` - Keys to be invalidated

### invalidateAll

    public void invalidateAll(String groupName)

  Invalidate all the entries in the specified group

  Parameters:
    `groupName` -

### batchInvalidate

    public void batchInvalidate(BatchInvalidation[] invalidations)

  Invalidates a set of keys in a set of InvalidationGroup. It is the responsability of the InvalidationManager to determine which IG are actually present i.e. the bridge may transmit BatchInvalidation for IG that are not present locally. The IM will simply ignore them.

  Parameters:
    `invalidations` - Invalidations to be performed on the local IM instance

### unregister

    public void unregister()

  Unregister the current bridge form the InvalidationManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.